Ticket #44371

effect_list_sanity_cb() failure always reported as requirement insanity

Date d'ouverture: 2022-04-14 16:00 Dernière mise à jour: 2022-04-25 13:08

Rapporteur:
Propriétaire:
Type:
État:
Atteints
Composant:
Jalon:
Priorité:
5 - moyen
Sévérité:
5 - moyen
Résolution:
Fixed
Fichier:
1

Détails

effect_list_sanity_cb() was originally implemented for checking requirement list sanity only, and error message "Effects have conflicting or invalid requirements!" is given when ever it fails. However, now it checks other things too (reporting those errors on site), so one should not assume that its failure always means requirement insanity.

Ticket History (3/4 Histories)

2022-04-14 16:00 Updated by: cazfi
  • New Ticket "effect_list_sanity_cb() failure always reported as requirement insanity" created
2022-04-15 01:09 Updated by: cazfi
  • Propriétaire Update from (Aucun) to cazfi
  • Résolution Update from Aucun to Accepted
  • Jalon Update from (Aucun) to 3.1.0
2022-04-25 13:08 Updated by: cazfi
  • État Update from Ouvert to Atteints
  • Résolution Update from Accepted to Fixed

Modifier

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Connexion